﻿// // ******************************************************************
// //       /\ /|       @File         protocol_rs232_options.h
// //       \ V/        @Brief
// //       | "")       @Author        lijinwen, ghz005@uni-trend.com.cn
// //       /  |        @Creation      2024-06-26
// //      /  \\        @Modified      2024-07-16
// //    *(__\_\
// // ******************************************************************

#pragma once

//#include "../CommonBase/Enums/Channels.h"
#include "protocol_rs232_enums.h"

namespace Protocol
{
    struct ProtocolRs232Options
    {
        unsigned int baud_rate; //波特率
        OddEvenCheck odd_even_check_type; //奇偶检验类型  None,Odd,Even

        Polarity polarity; //电平极性  None, Pos,  Neg
        SignalType signal_type; //信号类型   SingleEnded单端,Diff差分

        MSBOrLSB msb_or_lsb; //大小端

        Rs232Enums::DataBitWidth data_bit_width; //数据位宽
        Rs232Enums::StopBit stop_bit; //停止位
         
        bool* is_cancel;
    };
}
