﻿// // ******************************************************************
// //       /\ /|       @File         spi_decode_options.h
// //       \ V/        @Brief
// //       | "")       @Author        lijinwen, ghz005@uni-trend.com.cn
// //       /  |        @Creation      2024-07-19
// //      /  \\        @Modified      2024-07-23
// //    *(__\_\
// // ******************************************************************

#pragma once

#include "protocol_spi_enums.h"

namespace Protocol
{
    struct SpiDecodeOptions
    {
        SpiEnums::DecodeChannel decode_channel;
        SpiEnums::Msblsb msb_lsb;
        Polarity clk_polarity;
        Polarity cs_polarity;
        Polarity mosi_polarity;
        Polarity miso_polarity;
        bool* is_cancel;//取消解码
    };
}
