﻿// // ******************************************************************
// //       /\ /|       @File         Usb_decode_options.h
// //       \ V/        @Brief
// //       | "")       @Author        lijinwen, ghz005@uni-trend.com.cn
// //       /  |        @Creation      2024-05-17
// //      /  \\        @Modified      2024-06-24
// //    *(__\_\
// // ******************************************************************

#pragma once

#include "protocol_Usb_enums.h"

namespace Protocol
{
    struct UsbDecodeOptions
    {
        SignType sign_type; //信号类型 差分、单端
        double sampling_frequency;//信号采样率
        UsbEnums::UsbSpeed usb_speed;//Usb 速度
        bool auto_clock;//自动时钟 自适应采样率 速度
        bool* is_cancel;//取消解码
    };
}
