﻿// // ******************************************************************
// //       /\ /|       @File         decode_event.h
// //       \ V/        @Brief
// //       | "")       @Author        lijinwen, ghz005@uni-trend.com.cn
// //       /  |        @Creation      2024-05-16
// //      /  \\        @Modified      2024-06-24
// //    *(__\_\
// // ******************************************************************

#pragma once
#include <cstdint>
#include <string>

namespace Protocol
{
    struct DecodeBaseEvent
    {
        int64_t event_index = -1; //事件序号
        int64_t start_index = 0; //事件时域起始帧序号
        int64_t end_index = 0; //事件时域结束帧序号
        //char* Name; //string 事件名称
    };
}
