﻿// // ******************************************************************
// //       /\ /|       @File         edge_pulse_data.cc
// //       \ V/        @Brief
// //       | "")       @Author        lijinwen, ghz005@uni-trend.com.cn
// //       /  |        @Creation      2024-05-16
// //      /  \\        @Modified      2024-06-24
// //    *(__\_\
// // ******************************************************************

#include "edge_pulse_data.h"

namespace ProtocolBase
{
}

Protocol::EdgePulseDataTwoLevels::EdgePulseDataTwoLevels(const uint64_t edge_pulses_count, const uint64_t data_count,
                                                         const double sample_rate,
                                                         EdgePulse* edge_pulses_ptr): EdgePulseData(
    edge_pulses_count, data_count, sample_rate, edge_pulses_ptr), edge_pulses_count_(edge_pulses_count),
    sample_rate_(sample_rate)
{
}

Protocol::EdgePulseDataThreeLevels::EdgePulseDataThreeLevels(const uint64_t edge_pulses_count, const uint64_t data_count,
                                                             const double sample_rate,
                                                             EdgePulse* edge_pulses_ptr): EdgePulseData(edge_pulses_count,
                                                                                                        data_count, sample_rate, edge_pulses_ptr),
    edge_pulses_count_(edge_pulses_count), sample_rate_(sample_rate)
{
}
