﻿// // ******************************************************************
// //       /\ /|       @File         protocol_decode_base.cc
// //       \ V/        @Brief
// //       | "")       @Author        lijinwen, ghz005@uni-trend.com.cn
// //       /  |        @Creation      2024-05-16
// //      /  \\        @Modified      2024-06-24
// //    *(__\_\
// // ******************************************************************

#include "protocol_decode_base.h"
//#include "DecodeParams.h"
#include "quantize_params.h"
#include "BaseHelper/Loger.h"
//#include "ProtocolUsb/UsbDecode.h"
#include "ProtocolRS232/rs232_decoder.h"

namespace Protocol
{


}

void GetVersionExport(uint8_t* version)
{
#ifdef  DLL_VERSION
    // 将字符串转换为字符数组
    constexpr char version_string[] = DLL_VERSION;

    // 遍历字符串，将其转换为字节数组
    for (size_t i = 0; i < sizeof(version_string); ++i)
    {
        version[i] = static_cast<unsigned char>(version_string[i]);
    }
#else
    version[0] = 0;
    version[1] = 0;
    version[2] = 0;
#endif
}
