﻿// // ******************************************************************
// //       /\ /|       @File         data_check_helper.h
// //       \ V/        @Brief
// //       | "")       @Author        lijinwen, ghz005@uni-trend.com.cn
// //       /  |        @Creation      2024-05-16
// //      /  \\        @Modified      2024-06-24
// //    *(__\_\
// // ******************************************************************

#pragma once

#include <cstdint>

#include "../BaseEnums/data_check_enums.h"

#pragma once
namespace Protocol
{
    class DataCheckHelper
    {
    public:
        static bool CheckDataByOddEven(uint8_t data, int32_t data_bit_count, OddEvenCheck check_type);
        //比较浮点数是否相等
        static bool CheckDoubleIsEqual(double a, double b);
    };
}
