﻿// // ******************************************************************
// //       /\ /|       @File         rs232_decode_result.h
// //       \ V/        @Brief
// //       | "")       @Author        lijinwen, ghz005@uni-trend.com.cn
// //       /  |        @Creation      2024-06-26
// //      /  \\        @Modified      2024-07-16
// //    *(__\_\
// // ******************************************************************

#pragma once
#include <cstdint>
#include "protocol_rs232_enums.h"
#include "../decode_result.h"
#include "rs232_packet.h"
#include "rs232_decode_event.h"

namespace Protocol
{
    struct Rs232DecodeResultCell : DecodeResultCell
    {
    };

    struct Rs232DecodeResult // : DecodeResult
    {
        // SerialProtocolType GetProtocolType() override
        // {
        //     return SerialProtocolType::RS232;
        // }
        //
        // void ClearData();
        bool decode_result_need_update = false;
        bool decode_event_need_update = false;
        Rs232DecodeResultCell* decode_result_cells_ptr; //解码数据结果指针
        Rs232DecodeEvent* decode_events_ptr; //解码结果事件指针
        uint64_t decode_result_count; //结果数量
        uint64_t decode_event_count; //事件数量
    };
}
