﻿// // ******************************************************************
// //       /\ /|       @File         protocol_spi_enums.h
// //       \ V/        @Brief
// //       | "")       @Author        lijinwen, ghz005@uni-trend.com.cn
// //       /  |        @Creation      2024-07-19
// //      /  \\        @Modified      2024-07-23
// //    *(__\_\
// // ******************************************************************

#pragma once

namespace Protocol
{
    class SpiEnums
    {
    public:
        enum class Polarity
        {
            POSITIVE,
            NEGATIVE
        };

        enum class Edge
        {
            RISE,
            FALL
        };

        enum class FramingMode
        {
            MODE1,
            MODE2
        };

        enum class DecodeChannel
        {
            MISO,
            MOSI,
            MOMI
        };

        enum class LevelState
        {
            LOW,
            HIGH
        };

        enum class Msblsb
        {
            LSB,
            MSB
        };

    };
}
