﻿// // ******************************************************************
// //       /\ /|       @File         decode_result.h
// //       \ V/        @Brief
// //       | "")       @Author        lijinwen, ghz005@uni-trend.com.cn
// //       /  |        @Creation      2024-05-16
// //      /  \\        @Modified      2024-06-24
// //    *(__\_\
// // ******************************************************************

#pragma once
#include <cstdint>
#include <vector>
//#include "Channels.h"
#include "BaseEnums/protocol_enums.h"

namespace Protocol
{
    struct DecodeResultCell
    {
        int64_t start_index = -1; //结果时域起始帧
        int64_t length = -1; //结果时域帧长度
        uint8_t* data = {}; //结果数据数组
        int64_t data_count; //数据数组长度
        bool is_event_info = false; //是否是事件帧
    };

    struct DecodeResult
    {
        //协议类型
        //virtual SerialProtocolType GetProtocolType();
        SerialProtocolType protocol_type;
        //结果有效
        bool result_valid = false;
        //结果数据 子协议实现扩展
        void* result_data_ptr;
    };
}
