﻿// // ******************************************************************
// //       /\ /|       @File         quantize_params.cc
// //       \ V/        @Brief
// //       | "")       @Author        lijinwen, ghz005@uni-trend.com.cn
// //       /  |        @Creation      2024-05-16
// //      /  \\        @Modified      2024-06-24
// //    *(__\_\
// // ******************************************************************

#include "quantize_params.h"

namespace Protocol
{
    QuantizeParams::QuantizeParams(): level_option(), BitDepth(0)
    {
        // 初始化默认参数...
    }

    QuantizeParams::QuantizeParams(const QuantizeParams& quantize_params): level_option(quantize_params.level_option),
                                                                           BitDepth(quantize_params.BitDepth)

    {
    }

    QuantizeParams::~QuantizeParams() = default;
}
